Subject: RE: bug#14742: 24.3.50; enhancement request: be able to prepend stuff from buffer when search backward

From: Drew Adams <[email-masked]>
Date: Fri, 28 Jun 2013 15:00:47 -0700 (PDT)

> > In principle, yanked stuff could be prepended
> > as well as appended, IIUC.
> 
> As you may remember, I implemented this two weeks ago
> in the patch I sent to emacs-devel,

No, I didn't know that.  Great!

> and since then I have not had problems with it.  So what could
> be done is to move this code from `isearch-other-meta-char'
> to `isearch-yank-string' and `isearch-del-char' for more
> general functionality by adding a new argument `BACK' to them
> (or could you propose a better name for the argument).

I take your word for it wrt the implementation.  After I see it,
I might have a suggestion wrt the name (maybe BACKWARD, as that
seems to be the term used in our search names).

It all sounds good so far.